lpstat(1)

NAME
lpstat - print cups status information

SYNOPSIS
lpstat [ -E ] [ -a [ destination(s) ] ] [ -c [ class(es) ] [ -d ] [ -h server ] [ -l ] [ -o [ destination(s) ] ] [ -p [ printer(s) ] ] [ -r ] [ -R ] [ -s ] [ -t ] [ -u [ user(s) ] ] [ -v [ printer(s) ] ]

DESCRIPTION
lpstat displays status information about the current classes, jobs, and printers. When run with no arguments, lpstat will list jobs queued by the user. Other options include:

-E
    Forces encryption when connecting to the server.

-a [printer(s)]
    Shows the accepting state of printer queues. If no printers are specified then all printers are listed.

-c [class(es)]
    Shows the printer classes and the printers that belong to them. If no classes are specified then all classes are listed.

-d
    Shows the current default destination.

-h server
    Specifies the CUPS server to communicate with.

-l
    Shows a long listing of printers, classes, or jobs.

-o [destination(s)]
    Shows the jobs queue on the specified destinations. If no destinations are specified all jobs are shown.

-p [printer(s)]
    Shows the printers and whether or not they are enabled for printing. If no printers are specified then all printers are listed.

-r
    Shows whether or not the CUPS server is running.

-R
    Shows the ranking of print jobs.

-s
    Shows a status summary, including the default destination, a list of classes and their member printers, and a list of printers and their associated devices. This is equivalent to using the "-d", "-c", and "-p" options.

-t
    Shows all status information. This is equivalent to using the "-r", "-d", "-c", "-d", "-v", "-a", "-p", and "-o" options.

-u [user(s)]
    Shows a list of print jobs queued by the specified users. If no users are specified, lists the jobs queued by the current user.

-v [printer(s)]
    Shows the printers and what device they are attached to. If no printers are specified then all printers are listed.

COMPATIBILITY
Unlike the System V printing system, CUPS allows printer names to contain any printable character except SPACE and TAB. Also, printer and class names are not case-sensitive.

The "-h" option is not a standard System V option.

The Solaris "-f", "-P", and "-S" options are silently ignored.

SEE ALSO
cancel(1), lp(1), CUPS Software Users Manual, http://localhost:631/documentation.html

COPYRIGHT
Copyright 1993-2002 by Easy Software Products, All Rights Reserved.